#ifndef DOCK_H
#define DOCK_H

#include <glib.h>
#include <gtk/gtk.h>

void dock_set_uposition(GtkWindow * widget, gint x, gint y);
GList *dock_add_window(GList * window_list, GtkWindow * window);
GList *dock_remove_window(GList * window_list, GtkWindow * window);
void dock_move_press(GList * window_list, GtkWindow * w,
                     GdkEventButton * event, gboolean move_list);
void dock_move_motion(GtkWindow * w, GdkEventMotion * event);
void dock_move_release(GtkWindow * w);
void dock_get_widget_pos(GtkWindow * w, gint * x, gint * y);
gboolean dock_is_moving(GtkWindow * w);
void dock_shade(GList * window_list, GtkWindow * widget, gint new_h);
void dock_resize(GList * window_list, GtkWindow * w, gint new_w, gint new_h);

GList *dock_window_set_decorated(GList * list, GtkWindow * window,
                                 gboolean decorated);

#endif
