#ifndef EFFECT_H
#define EFFECT_H

#include <glib.h>

struct EffectPluginData {
    GList *effect_list;
    GList *enabled_list;
    /* FIXME: Needed? */
    gboolean playing;
    gboolean paused;
};

GList *get_effect_list(void);
void effect_about(gint i);
void effect_configure(gint i);
GList *get_effect_enabled_list(void);
void enable_effect_plugin(gint i, gboolean enable);
gboolean effect_enabled(gint i);
gchar *effect_stringify_enabled_list(void);
void effect_enable_from_stringified_list(const gchar * list);

extern struct EffectPluginData *ep_data;

#endif
