#ifndef PLAYBACK_H
#define PLAYBACK_H

#include <glib.h>

void bmp_playback_set_random_skin(void);
gint bmp_playback_get_time(void);
void bmp_playback_initiate(void);
void bmp_playback_pause(void);
void bmp_playback_stop(void);
gboolean bmp_playback_play_file(const gchar * filename);
gboolean bmp_playback_get_playing(void);
gboolean bmp_playback_get_paused(void);
void bmp_playback_seek(gint time);
void bmp_playback_seek_relative(gint offset);

#endif
